RARPD(8)

NAME
rarpd - reverse address resolution protocol daemon

SYNOPSIS
rarpd [-d[level]] network-name ...

DESCRIPTION
Rarpd listens on the given networks for broadcast packets asking for reverse address resolution. These packets are sent by hosts at boot time to find out their IP address. Rarpd looks up the six octet ethernet number in the /etc/ethers file finding a host name. This name is translated to the IP address of the host by a DNS lookup. The IP address is then sent to the host.

Under MINIX 3 the program forks as needed to give each network its own server. Under Minix-vmd all networks are handled in the same program using async I/O.

  Private Ethernet Addresses
For VU practical work, where students have to create their own IP stack starting at the bottom with RARP, this implementation recognizes Ethernet addresses starting with octet 0x76 as special. The next octet is used as a additional host number and the next and last four octets as an IP address that this Ethernet address is additional for. The IP address is translated back to a name, and the first component of that name gets a dash and the additional host number added to it. That hostname is then looked up and its IP address returned in a RARP reply. Example:

    76:3:c0:a8:e7:fa    Additional 3, IP 192.168.231.250
    flotsam.example.com    Reverse lookup on 192.168.231.250
    flotsam-3.example.com    Splicing in additional number
    192.168.231.42    Forward lookup

In this example a RARP query for 76:3:c0:a8:e7:fa gets 192.168.231.42 as reply.

OPTIONS

-d[level]
    Turns on debugging messages at the given level, by default 1. At level 1 you will be shown what answers are sent, and at level 2 or higher you will be told about queries from unknown hosts or host on the wrong network. The debug level can also be increased by 1 at runtime by sending signal SIGUSR1 or turned off (set to 0) with SIGUSR2.

SEE ALSO
ifconfig(8), ethers(5), hosts(5), inet(8), boot(8), dhcpd(8), irdpd(8), inetd(8), nonamed(8).

NOTES
A "network name" is the device name of the IP device of a network, i.e. ip0, ip1, ...

The RARP protocol has gone out of fashion in favour of DHCP.

AUTHOR
Kees J. Bot (kjb@cs.vu.nl)